Skip to main content
GET
/
organization
/
{organizationId}
/
helmRepository
/
{helmRepositoryId}
Get a helm repository
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/helmRepository/{helmRepositoryId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "kind": "HTTPS",
  "description": "<string>",
  "url": "<string>",
  "skip_tls_verification": true,
  "associated_services_count": 123,
  "config": {
    "username": "<string>",
    "region": "<string>",
    "access_key_id": "<string>",
    "role_arn": "<string>",
    "scaleway_access_key": "<string>",
    "scaleway_project_id": "<string>",
    "azure_tenant_id": "<string>",
    "azure_subscription_id": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://qovery-update-mcp-query.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

helmRepositoryId
string<uuid>
required

Helm chart repository ID

Response

The helm repository

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required
updated_at
string<date-time>
read-only
kind
enum<string>

The type of your helm repository

Available options:
HTTPS,
OCI_ECR,
OCI_SCALEWAY_CR,
OCI_DOCKER_HUB,
OCI_PUBLIC_ECR,
OCI_GENERIC_CR,
OCI_GITHUB_CR,
OCI_GITLAB_CR
description
string
url
string

URL of the helm repository

skip_tls_verification
boolean

Bypass tls certificate verification when connecting to repository

associated_services_count
integer

The number of services using this helm repository

config
object